curl --request POST \
--url https://mm-api.merchantspring.io/reports/view/salesByChannel \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"fromDate": 123,
"toDate": 123,
"priorFromDate": 123,
"priorToDate": 123,
"timezone": "<string>",
"filter": {
"marketplaces": [],
"countries": [],
"tags": []
},
"includeTax": false,
"vendorRevenueType": "orderedRevenue",
"sortKey": "sales",
"sortOrder": "desc",
"searchText": "",
"pageSize": 10,
"pageIndex": 0
}
'import requests
url = "https://mm-api.merchantspring.io/reports/view/salesByChannel"
payload = {
"fromDate": 123,
"toDate": 123,
"priorFromDate": 123,
"priorToDate": 123,
"timezone": "<string>",
"filter": {
"marketplaces": [],
"countries": [],
"tags": []
},
"includeTax": False,
"vendorRevenueType": "orderedRevenue",
"sortKey": "sales",
"sortOrder": "desc",
"searchText": "",
"pageSize": 10,
"pageIndex": 0
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fromDate: 123,
toDate: 123,
priorFromDate: 123,
priorToDate: 123,
timezone: '<string>',
filter: {marketplaces: [], countries: [], tags: []},
includeTax: false,
vendorRevenueType: 'orderedRevenue',
sortKey: 'sales',
sortOrder: 'desc',
searchText: '',
pageSize: 10,
pageIndex: 0
})
};
fetch('https://mm-api.merchantspring.io/reports/view/salesByChannel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rows": [
{
"store": "<string>",
"outOfStockPercentage": 123,
"buyBoxSnapshot": {},
"forecastTarget": 123,
"adspendLimit": 123,
"budgetTarget": 123,
"currency": "<string>",
"salesSplit": 123,
"storeId": "<string>",
"marketplace": {
"market": "<string>",
"countryCode": "<string>"
},
"sales": {
"value": 123,
"priorPeriodValue": 123
},
"orders": {
"value": "<string>",
"priorPeriodValue": "<string>"
},
"avOrderValue": {
"value": 123,
"priorPeriodValue": 123
},
"units": {
"value": "<string>",
"priorPeriodValue": "<string>"
},
"avOrderSize": {
"value": 123,
"priorPeriodValue": 123
},
"pageViews": {
"value": "<string>",
"priorPeriodValue": "<string>"
},
"conversions": {
"value": 123,
"priorPeriodValue": 123
},
"healthStatus": "<string>"
}
],
"count": 123
}This response has no body data.View sales by channel report
View sales by channel report
Authorizations
Body
Sales by channel report criteria
Request body for viewing sales by channel report
Unix epoch time (seconds) representing the start of the reporting period
Unix epoch time (seconds) representing the end of the reporting period
Unix epoch time (seconds) representing the start of the comparison period
Unix epoch time (seconds) representing the end of the comparison period
The timezone string you wish to see the report in (e.g. 'America/Los_Angeles') see https://en.wikipedia.org/wiki/List_of_tz_database_time_zones
Filter criteria for the report
Show child attributes
Show child attributes
Whether to include tax in calculations
false
Type of vendor revenue to calculate
orderedRevenue, shippedRevenue "orderedRevenue"
Field to sort results by
sales, salesSplit, forecastTarget, budgetTarget, orders, units, avOrderSize, avOrderValue, outOfStockPercentage, pageViews, conversions "sales"
Sort order direction
asc, desc "desc"
Text to search within results
""
Number of items per page for pagination
10
Zero-based page index for pagination
x >= 00
Was this page helpful?